Last Comment Bug 710463 - Textures should be placed in drawable-nodpi folder
: Textures should be placed in drawable-nodpi folder
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P3 normal (vote)
: ---
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
Depends on: 704864
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-13 16:46 PST by Sriram Ramasubramanian [:sriram]
Modified: 2012-01-09 15:06 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Fuzzy texture (235.56 KB, image/png)
2011-12-13 16:46 PST, Sriram Ramasubramanian [:sriram]
no flags Details
Patch (31.33 KB, patch)
2011-12-13 16:50 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review
Screenshot: After moving the files (249.83 KB, image/png)
2011-12-13 16:51 PST, Sriram Ramasubramanian [:sriram]
no flags Details

Description Sriram Ramasubramanian [:sriram] 2011-12-13 16:46:48 PST
Created attachment 581478 [details]
Fuzzy texture

The about:home page uses textures that are placed in "drawable/" folder.
This causes the image to be treated as mdpi. Hence while rendering on a hdpi or an xhdpi device, they are scaled and repeated. This causes a fuzzy background. This can be rectified by placing those textures in a separate "drawable-nodpi/" folder. This causes android "not to scale" them before repeating.
Comment 1 Sriram Ramasubramanian [:sriram] 2011-12-13 16:50:22 PST
Created attachment 581480 [details] [diff] [review]
Patch

This moves the files to proper folder.
Comment 2 Sriram Ramasubramanian [:sriram] 2011-12-13 16:51:52 PST
Created attachment 581482 [details]
Screenshot: After moving the files
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-13 19:48:54 PST
Comment on attachment 581480 [details] [diff] [review]
Patch

You could also use hg mv to move the files without deleting/readding
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-19 14:33:18 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/860a4d603338
Comment 5 Ed Morley [:emorley] 2011-12-20 05:53:26 PST
https://hg.mozilla.org/mozilla-central/rev/860a4d603338
Comment 6 Brad Lassey [:blassey] (use needinfo?) 2012-01-09 15:06:55 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/860a4d603338

Note You need to log in before you can comment on or make changes to this bug.